Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Upgrade aborted

  1. #1
    Join Date
    Sep 2009
    Location
    Columbus, Ohio, USA
    Posts
    178

    Default Upgrade aborted

    While attempting to do a distribution upgrade with Yast Wagon, I got the following after selecting to configure later:

    randall@linux-xmay:~> gnomesu yast2 wagon
    terminate called after throwing an instance of 'YUIUnsupportedWidgetException'
    what(): Unsupported optional widget type: ContextMenu
    YaST got signal 6 at YCP file Wizard.ycp:691
    /sbin/yast2: line 440: 15947 Aborted $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    randall@linux-xmay:~>

    How to fix or get around that?

    Any help is appreciated.
    AMD Athlon II X2 220, 2.8 GHz, 6 GB, PNY GeForce 210; 1 TB: Windows 7HP, Ubuntu 13.10, DBLab/Linux Mint 16 Remix, Suse 12.1 KDE.

  2. #2
    Join Date
    Jun 2008
    Location
    Ardrishaig, Argyll. Scotland UK - GMT/BST
    Posts
    36,859
    Blog Entries
    20

    Default Re: Upgrade aborted

    Assuming have changed your 11.1 repos to 11.2 versions
    From a console login become su and do:

    Code:
    zypper ref
    Code:
    zypper in zypper libzypp
    Code:
    zypper dup
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Sep 2009
    Location
    Columbus, Ohio, USA
    Posts
    178

    Question Re: Upgrade aborted

    When I attempt to proceed from terminal with zypper, I get:

    947 packages to upgrade, 3 to downgrade, 150 new, 51 to remove, 1 to change
    vendor, 13 to change arch.
    Overall download size: 701.1 MiB. After the operation, additional 262.0 MiB
    will be used.
    Continue? [y/n/?] (y): y
    Do you agree with the terms of the license? [yes/no] (no):
    Aborting installation due to user disagreement with openSUSE product license.
    linux-xmay:/home/randall #

    What happened there is, after I typed y for yes to continue, the license agreement appeared; I scrolled to the end and typed q and hit enter. Then the curser goes straight to the next prompt not giving me the option to agree to the terms of the license. It is as though zypper inserts the "(no)" on its own accord -- never mind me.
    AMD Athlon II X2 220, 2.8 GHz, 6 GB, PNY GeForce 210; 1 TB: Windows 7HP, Ubuntu 13.10, DBLab/Linux Mint 16 Remix, Suse 12.1 KDE.

  4. #4
    Join Date
    Sep 2009
    Location
    Columbus, Ohio, USA
    Posts
    178

    Default Re: Upgrade aborted

    linux-xmay:/home/randall # zypper ref
    Repository 'openSUSE-11.2-Non-Oss' is up to date.
    Repository 'openSUSE-11.2-Oss' is up to date.
    Repository 'openSUSE-11.2-Update' is up to date.
    All repositories have been refreshed.
    linux-xmay:/home/randall # zypper in zypper libzypp
    Loading repository data...
    Reading installed packages...
    'zypper' is already installed.
    'libzypp' is already installed.
    Resolving package dependencies...

    Nothing to do.
    linux-xmay:/home/randall #
    AMD Athlon II X2 220, 2.8 GHz, 6 GB, PNY GeForce 210; 1 TB: Windows 7HP, Ubuntu 13.10, DBLab/Linux Mint 16 Remix, Suse 12.1 KDE.

  5. #5
    Join Date
    Sep 2009
    Location
    Columbus, Ohio, USA
    Posts
    178

    Default Re: Upgrade aborted

    The following product is going to be upgraded:
    openSUSE

    The following packages are going to be downgraded:
    libgimpprint libreadline5 myspell-american

    The following packages are going to change architecture:
    accerciser-lang i586 -> noarch
    banshee-1-lang i586 -> noarch
    bootsplash-branding-openSUSE i586 -> noarch
    compizconfig-settings-manager i586 -> noarch
    glibc-locale i686 -> i586
    gnome-doc-utils noarch -> i586
    IPython i586 -> noarch
    nscd i686 -> i586
    pullin-flash-player noarch -> i586
    pulseaudio-lang i586 -> noarch
    python-gdata i586 -> noarch
    python-opengl i586 -> noarch
    python-urlgrabber i586 -> noarch


    The following package is going to change vendor:
    openSUSE-release openSUSE Build Service -> openSUSE


    947 packages to upgrade, 3 to downgrade, 150 new, 51 to remove, 1 to change
    vendor, 13 to change arch.
    Overall download size: 701.1 MiB. After the operation, additional 262.0 MiB
    will be used.
    Continue? [y/n/?] (y): y
    Do you agree with the terms of the license? [yes/no] (no):
    Aborting installation due to user disagreement with openSUSE product license.
    linux-xmay:/home/randall #

    It did it again. (I left out the bulk of the output).
    AMD Athlon II X2 220, 2.8 GHz, 6 GB, PNY GeForce 210; 1 TB: Windows 7HP, Ubuntu 13.10, DBLab/Linux Mint 16 Remix, Suse 12.1 KDE.

  6. #6
    Join Date
    Jun 2008
    Location
    Ardrishaig, Argyll. Scotland UK - GMT/BST
    Posts
    36,859
    Blog Entries
    20

    Default Re: Upgrade aborted

    Try this

    zypper dup --auto-agree-with-licenses
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7
    Join Date
    Sep 2009
    Location
    Columbus, Ohio, USA
    Posts
    178

    Default Re: Upgrade aborted

    Further, I had to get to wagon in the first place via terminal. Alt-F2 produces an error message: ERROR Could not open location 'file: ///home/randall/yast' Error stating file '/home/randall/yast.' No such file or directory.

    This is a fresh install of 11.1 gnome.

    Appreciate you.
    AMD Athlon II X2 220, 2.8 GHz, 6 GB, PNY GeForce 210; 1 TB: Windows 7HP, Ubuntu 13.10, DBLab/Linux Mint 16 Remix, Suse 12.1 KDE.

  8. #8
    Join Date
    Jun 2008
    Location
    Ardrishaig, Argyll. Scotland UK - GMT/BST
    Posts
    36,859
    Blog Entries
    20

    Default Re: Upgrade aborted

    Are we installing 11.1 and dup to 11.2 for a reason.
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Sep 2009
    Location
    Columbus, Ohio, USA
    Posts
    178

    Smile Re: Upgrade aborted

    dup is proceeding as desired. Thank you very much.

    Only since you advised me thus, does it seem as if I might have previously seen that (or something to that effect) in zypper help. It's safe to say that just as I didn't remember it, I wouldn't have remembered.

    Your reputation is deserved.
    AMD Athlon II X2 220, 2.8 GHz, 6 GB, PNY GeForce 210; 1 TB: Windows 7HP, Ubuntu 13.10, DBLab/Linux Mint 16 Remix, Suse 12.1 KDE.

  10. #10
    Join Date
    Jun 2008
    Location
    Ardrishaig, Argyll. Scotland UK - GMT/BST
    Posts
    36,859
    Blog Entries
    20

    Default Re: Upgrade aborted

    Quote Originally Posted by Randymanme View Post
    dup is proceeding as desired. Thank you very much.

    Only since you advised me thus, does it seem as if I might have previously seen that (or something to that effect) in zypper help. It's safe to say that just as I didn't remember it, I wouldn't have remembered.

    Your reputation is deserved.
    Bookmark this
    Zypper/Usage/11.2 - openSUSE

    Install of 11.2 from 11.2 media is the desired. 'dup' might not work.
    There is an official page for upgrade that seems to proceed differently:
    Upgrade/Supported - openSUSE

    Hope I have been of some assistance
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •